=head1 NAME

Gtk2::HButtonBox

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::ButtonBox
                                +----Gtk2::HButtonBox

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::HButtonBox-E<gt>B<new> 

=over

=back

=head2 buttonboxstyle = Gtk2::HButtonBox-E<gt>B<get_layout_default> 

=over

=back

=head2 Gtk2::HButtonBox-E<gt>B<set_layout_default> ($layout)

=over

=over

=item * $layout (Gtk2::ButtonBoxStyle) 

=back

=back

=head2 integer = Gtk2::HButtonBox-E<gt>B<get_spacing_default> 

=over

=back

=head2 Gtk2::HButtonBox-E<gt>B<set_spacing_default> ($spacing)

=over

=over

=item * $spacing (integer) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ButtonBoxStyle

=over

=item * 'default-style' / 'GTK_BUTTONBOX_DEFAULT_STYLE'

=item * 'spread' / 'GTK_BUTTONBOX_SPREAD'

=item * 'edge' / 'GTK_BUTTONBOX_EDGE'

=item * 'start' / 'GTK_BUTTONBOX_START'

=item * 'end' / 'GTK_BUTTONBOX_END'

=item * 'center' / 'GTK_BUTTONBOX_CENTER'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::ButtonBox>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

